org.red5.server.net.rtmpt.codec

## Class RTMPTCodecFactory

- java.lang.Object
- - org.red5.server.net.rtmp.codec.RTMPCodecFactory
  - - org.red5.server.net.rtmpt.codec.RTMPTCodecFactory

All Implemented Interfaces:
  ProtocolCodecFactory

    public class RTMPTCodecFactory
    extends RTMPCodecFactory

RTMPT codec factory creates RTMP codec objects

### Field Summary

### Fields inherited from class org.red5.server.net.rtmp.codec.RTMPCodecFactory

`deserializer, serializer`

### Constructor Summary

Constructors
Constructor and Description
`RTMPTCodecFactory()`

### Method Summary

Methods
`RTMPProtocolDecoder` `getRTMPDecoder()` Returns the RTMP decoder.
`RTMPProtocolEncoder` `getRTMPEncoder()` Returns the RTMP encoder.
`void` `init()` Initialization
`void` `setBaseTolerance(long baseTolerance)`
`void` `setDeserializer(Deserializer deserializer)` Setter for deserializer.
`void` `setDropLiveFuture(boolean dropLiveFuture)`
`void` `setSerializer(Serializer serializer)` Setter for serializer

### Methods inherited from class org.red5.server.net.rtmp.codec.RTMPCodecFactory

`getDecoder, getEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RTMPTCodecFactory

    public RTMPTCodecFactory()

### Method Detail

#### init

    public void init()

Initialization

Overrides:
  `init` in class `RTMPCodecFactory`

#### setDeserializer

    public void setDeserializer(Deserializer deserializer)

Setter for deserializer.

Overrides:
  `setDeserializer` in class `RTMPCodecFactory`
Parameters:
  `deserializer` - Deserializer used by this codec factory.

#### setSerializer

    public void setSerializer(Serializer serializer)

Setter for serializer

Overrides:
  `setSerializer` in class `RTMPCodecFactory`
Parameters:
  `serializer` - Value to set for property 'serializer'.

#### setBaseTolerance

    public void setBaseTolerance(long baseTolerance)

Parameters:
  `baseTolerance` - the baseTolerance to set

#### setDropLiveFuture

    public void setDropLiveFuture(boolean dropLiveFuture)

Parameters:
  `dropLiveFuture` - the dropLiveFuture to set

#### getRTMPDecoder

    public RTMPProtocolDecoder getRTMPDecoder()

Returns the RTMP decoder.

Overrides:
  `getRTMPDecoder` in class `RTMPCodecFactory`
Returns:
  decoder

#### getRTMPEncoder

    public RTMPProtocolEncoder getRTMPEncoder()

Returns the RTMP encoder.

Overrides:
  `getRTMPEncoder` in class `RTMPCodecFactory`
Returns:
  encoder